Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.taglib
Class AdminMenu

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.meshcms.taglib.AbstractTag
              org.meshcms.taglib.AdminMenu

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, com.opensymphony.module.sitemesh.RequestConstants, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public final class AdminMenu
extends AbstractTag

Creates a menu with the following items:

- Login,
- Control Panel,
- Edit Page,
- Edit As Plain Text,
- New Page,
- New Child Page.

Items are included when appropriate.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `MODE_HIDDEN`
`static java.lang.String` | `MODE_NORMAL`

Fields inherited from class org.meshcms.taglib.AbstractTag
`PAGE_MODULES, PARAM_REGEX`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants
`DECORATOR, FILTER_APPLIED, PAGE, ROBOT, USING_STREAM`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AdminMenu()`

Method Summary
`java.lang.String` | `getMode()`
`java.lang.String` | `getSeparator()`
`java.lang.String` | `getStyle()`
`void` | `setMode(java.lang.String mode)`
`void` | `setSeparator(java.lang.String separator)`
`void` | `setStyle(java.lang.String style)`
`void` | `writeTag()` Writes the contents of the tag.

Methods inherited from class org.meshcms.taglib.AbstractTag
`doStartTag, getHead, getMailFormAddress, getOut, getPage, getStartTagReturnValue, writeEditTag`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_NORMAL

    public static final java.lang.String MODE_NORMAL

See Also:
  Constant Field Values

### MODE_HIDDEN

    public static final java.lang.String MODE_HIDDEN

See Also:
  Constant Field Values

Constructor Detail

### AdminMenu

    public AdminMenu()

Method Detail

### setMode

    public void setMode(java.lang.String mode)

### setSeparator

    public void setSeparator(java.lang.String separator)

### setStyle

    public void setStyle(java.lang.String style)

### writeTag

    public void writeTag()
                  throws java.io.IOException

  Description copied from class: `AbstractTag`
  Writes the contents of the tag. Subclasses will use this method to write to the page.

  Specified by:
    `writeTag` in class `AbstractTag`
  Throws:
    `java.io.IOException`

### getMode

    public java.lang.String getMode()

### getSeparator

    public java.lang.String getSeparator()

### getStyle

    public java.lang.String getStyle()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD